<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="tt_tb_tratruoc" language="groovy" pageWidth="600" pageHeight="842" whenNoDataType="AllSectionsNoDetail" columnWidth="600" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" isIgnorePagination="true">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<property name="ireport.scriptlethandling" value="0"/>
	<subDataset name="f01">
		<queryString>
			<![CDATA[select to_char(sysdate,'dd') ngay1, to_char(sysdate,'mm') thang1, to_char(sysdate,'yyyy') nam1, to_char(sysdate,'dd/mm/yyyy') ngay_tt1 from dual]]>
		</queryString>
	</subDataset>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="nguoi_th" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ?:= activiti.pkg_report.rpt_tong_kn('{p0pstungay}','{p0psdenngay}','{p0psuser}','{p0pstinh}',1);end;]]>
	</queryString>
	<field name="stt" class="java.lang.String"/>
	<field name="name" class="java.lang.String"/>
	<field name="nguoitao" class="java.lang.String"/>
	<field name="ngaytao" class="java.lang.String"/>
	<field name="text" class="java.lang.String"/>
	<field name="soluong" class="java.lang.Number"/>
	<variable name="text_1" class="java.lang.Integer" resetType="Group" resetGroup="gr_tinh" calculation="Count">
		<variableExpression><![CDATA[$F{text}]]></variableExpression>
	</variable>
	<variable name="text_2" class="java.lang.Integer" resetType="Group" resetGroup="gr_user" calculation="Count">
		<variableExpression><![CDATA[$F{text}]]></variableExpression>
	</variable>
	<variable name="text_3" class="java.lang.Integer" calculation="Count">
		<variableExpression><![CDATA[$F{text}]]></variableExpression>
	</variable>
	<variable name="soluong_1" class="java.lang.Number" resetType="Group" resetGroup="gr_user" calculation="Sum">
		<variableExpression><![CDATA[$F{soluong}]]></variableExpression>
	</variable>
	<variable name="soluong_2" class="java.lang.Number" resetType="Group" resetGroup="gr_tinh" calculation="Sum">
		<variableExpression><![CDATA[$F{soluong}]]></variableExpression>
	</variable>
	<variable name="soluong_3" class="java.lang.Number" calculation="Sum">
		<variableExpression><![CDATA[$F{soluong}]]></variableExpression>
	</variable>
	<group name="gr_tinh">
		<groupExpression><![CDATA[$F{name}]]></groupExpression>
		<groupFooter>
			<band height="20">
				<textField>
					<reportElement x="14" y="0" width="350" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{name}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="364" y="0" width="224" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{soluong_2}]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<group name="gr_user">
		<groupExpression><![CDATA[$F{nguoitao}]]></groupExpression>
		<groupFooter>
			<band height="20">
				<textField>
					<reportElement x="14" y="0" width="350" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{nguoitao}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="364" y="0" width="224" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{soluong_1}]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="133" splitType="Stretch">
			<image>
				<reportElement x="78" y="3" width="83" height="28"/>
				<imageExpression><![CDATA["images\\vinaphone_logo.png"]]></imageExpression>
			</image>
			<staticText>
				<reportElement x="311" y="3" width="277" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Cộng hòa xã hội chủ nghĩa việt Nam]]></text>
			</staticText>
			<staticText>
				<reportElement x="311" y="17" width="277" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[độc lập tự do hạnh phúc]]></text>
			</staticText>
			<staticText>
				<reportElement x="311" y="31" width="277" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false"/>
				</textElement>
				<text><![CDATA[-------------o0o-------------]]></text>
			</staticText>
			<staticText>
				<reportElement x="14" y="64" width="586" height="30"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="18" isBold="true"/>
				</textElement>
				<text><![CDATA[Thống kê tổng số khiếu nại theo thời gian]]></text>
			</staticText>
			<staticText>
				<reportElement x="14" y="118" width="50" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[STT]]></text>
			</staticText>
			<staticText>
				<reportElement x="264" y="118" width="100" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Ngày tạo]]></text>
			</staticText>
			<staticText>
				<reportElement x="164" y="118" width="100" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Người tạo]]></text>
			</staticText>
			<staticText>
				<reportElement x="364" y="118" width="224" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Số lượng]]></text>
			</staticText>
			<staticText>
				<reportElement x="64" y="118" width="100" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[NAME]]></text>
			</staticText>
		</band>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="15" splitType="Stretch">
			<textField isStretchWithOverflow="true">
				<reportElement stretchType="RelativeToBandHeight" x="14" y="0" width="50" height="15" isPrintWhenDetailOverflows="true"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{stt}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement stretchType="RelativeToBandHeight" x="264" y="0" width="100" height="15" isPrintWhenDetailOverflows="true"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement>
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{ngaytao}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement stretchType="RelativeToBandHeight" x="164" y="0" width="100" height="15" isPrintWhenDetailOverflows="true"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement>
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{nguoitao}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement stretchType="RelativeToBandHeight" x="64" y="0" width="100" height="15" isPrintWhenDetailOverflows="true"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement>
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{name}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="364" y="0" width="224" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{soluong}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="152">
			<staticText>
				<reportElement x="14" y="0" width="350" height="20"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Tổng cộng]]></text>
			</staticText>
			<textField>
				<reportElement x="364" y="0" width="224" height="20"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{soluong_3}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="264" y="90" width="324" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
			</textField>
			<staticText>
				<reportElement x="264" y="75" width="324" height="15"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfFontName="Times-Roman" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Người thực hiện]]></text>
			</staticText>
			<textField>
				<reportElement x="264" y="131" width="324" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{nguoi_th}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="264" y="111" width="324" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
			</textField>
			<textField>
				<reportElement x="264" y="53" width="324" height="22"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA["Ngày "+((HashMap)$P{NEO_SQL_META_MAP}).get("f01ngay1").toString()+"/"+((HashMap)$P{NEO_SQL_META_MAP}).get("f01thang1").toString()+"/"+((HashMap)$P{NEO_SQL_META_MAP}).get("f01nam1").toString()]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="264" y="33" width="324" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
			</textField>
		</band>
	</summary>
</jasperReport>
